//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************

//---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---//

#ifndef GRSDetectorMessenger_h
#define GRSDetectorMessenger_h 1

#include "GRSDetectorConstruction.hh"

#include "G4UIcmdWithADoubleAndUnit.hh"
#include "G4UIcmdWith3VectorAndUnit.hh"
#include "G4UIcmdWithAnInteger.hh"
#include "G4UIcommand.hh"
#include "G4UIdirectory.hh"
#include "G4UIcmdWithABool.hh"
#include "G4UIcmdWithADouble.hh"
#include "G4UIcmdWithAString.hh"
#include "G4UImessenger.hh"
#include "globals.hh"

//---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---//

class GRSDetectorConstruction;
class G4UIdirectory;
class G4UIcmdWithADoubleAndUnit;
class G4UIcmdWith3VectorAndUnit;
class G4UIcmdWithAnInteger;
class G4UIcommand;
class G4UIcmdWithABool;
class G4UIcmdWithADouble;
class G4UIcmdWithAString;

//---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---//

class GRSDetectorMessenger: public G4UImessenger
{
public:
  GRSDetectorMessenger(GRSDetectorConstruction*);
  ~GRSDetectorMessenger();

  void SetNewValue(G4UIcommand*, G4String);

private:

  GRSDetectorConstruction*   GRSDetector;
  G4UIdirectory*             GRSDir;
  G4UIdirectory*             detectorDir;
  G4UIcmdWithAnInteger*      verboseCmd;
  G4UIcmdWithAnInteger*      ionatomicmassCmd;
  G4UIcmdWithAnInteger*      ionatomicnumberCmd;
  G4UIcmdWithAString*        particleCmd;
  G4UIcmdWithADoubleAndUnit* spaceAngCmd;
  G4UIcmdWithADoubleAndUnit* energyCmd;
  G4UIcmdWithADoubleAndUnit* eSigmaCmd;
  G4UIcmdWithADoubleAndUnit* eThrCmd;
  G4UIcmdWithADoubleAndUnit* dzLayerCmd;
  G4UIcmdWithABool*          outputCmd;
  G4UIcmdWithABool*          adsCmd;
  G4UIcmdWithABool*          adzCmd;
  G4UIcmdWithABool*          gfsCmd;
  G4UIcmdWithAString*        outputNameCmd;
  G4UIcmdWithAString*        srcTypeCmd;
  G4UIcmdWith3VectorAndUnit* srcPosCmd;
};

//---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---//

#endif
