//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************

//---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---//

#ifndef GRSTrackingAction_h
#define GRSTrackingAction_h 1

#include "G4Track.hh"
#include "G4TrackingManager.hh"
#include "G4ParticleTypes.hh"
#include "G4EventManager.hh"
#include "G4ProcessManager.hh"
#include "G4TrackStatus.hh"
#include "G4ParticleDefinition.hh"
#include "G4UserTrackingAction.hh"
#include "G4ThreeVector.hh"
#include "globals.hh"

//---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---//

class GRSTrackingAction : public G4UserTrackingAction{

public:
  GRSTrackingAction();
  ~GRSTrackingAction() {};

  void PreUserTrackingAction(const G4Track*);
  void PostUserTrackingAction(const G4Track*);

  G4int GetLastPrimaryID() const {return lastPrimaryID;}

  G4int GetLastPrimaryTrackID() const {return lastPrimaryTrackID;}

  G4double GetLastPrimaryEnergy() const {return lastPrimaryEnergy;}

  G4String GetLastPrimaryParticleName() const {return lastPrimaryName;}

  G4ThreeVector GetLastPrimaryParticlePosition() const {return lastPrimaryPosition;}

private:
  G4int lastPrimaryID,lastPrimaryTrackID;
  
  G4double lastPrimaryEnergy;
  
  G4String lastPrimaryName;
  
  G4ThreeVector lastPrimaryPosition;
};

//---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---Gamma-Ray-Spectrometry---%%%---//

#endif
