/* ----------------------------------------------------------- */
/* plotEdep.C : using ROOTSYS                                  */
/*                                                             */
/* Usage : Geant4 - GammaRaySpectrometry example data analysis */
/*                                                             */
/* Example of script showing how to analyze the output file,   */
/* plot edep in Ge-cristal                                     */
/*                                                             */
/* By C. Thiam / cheick.thiam@cea.fr CEA, LNHB FR              */
/*                                                             */
/* ----------------------------------------------------------- */

void plotEdep()
{
  TFile f("GammaRaySpec.root");

  double Edep_In_Germanium=0.0;
  HITS->GetBranch("Edep_In_Germanium")->SetAddress(&Edep_In_Germanium); // in MeV

  TCanvas *c1 = new TCanvas("GRS"," Edep in Ge-cristal", 100, 10, 800, 600);
  c1->SetBorderMode(1);
  c1->SetFillColor(0);
  c1->SetGrid();
  c1->cd(1);
  c1->SetLogy();
  HITS->Draw("Edep_In_Germanium");
}
