/* ----------------------------------------------------------- */
/* plotSrc.C : using ROOTSYS                                   */
/*                                                             */
/* Usage : Geant4 - GammaRaySpectrometry example data analysis */
/*                                                             */
/* Example of script showing how to analyze the output file,   */
/* plot source position x y z and energy from ROOT file        */
/*                                                             */
/* By C. Thiam / cheick.thiam@cea.fr CEA, LNHB FR              */
/*                                                             */
/* ----------------------------------------------------------- */

void plotSrc()
{
  TFile f("GammaRaySpec.root");

  double Source_Energy, Source_position_X, Source_position_Y, Source_position_Z;

  SRC->GetBranch("Source_Energy")->SetAddress(&Source_Energy);         // in MeV
  SRC->GetBranch("Source_position_X")->SetAddress(&Source_position_X); // in mm
  SRC->GetBranch("Source_position_Y")->SetAddress(&Source_position_Y); // in mm
  SRC->GetBranch("Source_position_Z")->SetAddress(&Source_position_Z); // in mm

  TCanvas *c1 = new TCanvas("GRS"," Source position x y z and energy",10,10,900,700);
  c1->Divide(2,2);
  c1->SetBorderMode(1);
  c1->SetFillColor(0);
  c1->SetGrid();

  c1->cd(1);
  SRC->Draw("Source_position_X");

  c1->cd(2);
  SRC->Draw("Source_position_Y");

  c1->cd(3);
  SRC->Draw("Source_position_Z");

  c1->cd(4);
  SRC->Draw("Source_Energy");  
}
